<template lang="pug">
q-card.q-my-md(flat bordered)
  q-card-section(horizontal)
    q-card-section.col
      span.vertical-middle.text-h6.vspace1.ellipsis Section {{sectionNumber}}
      q-input.sectionTitle(v-model='editTitle' label='Section title' @change='fireChangeDataEvent')
      br
      q-input.sectionContent(type="textarea" v-model='editContent' label="Section Description or Pre-Content" @change='fireChangeDataEvent')
      br
      q-checkbox(label="Provide an area for participants to enter a written response" v-model="editResponse" @change='fireChangeDataEvent')
    
    q-separator(vertical v-if="canDelete")
    q-card-actions.justify-around.q-px-md(v-if="canDelete")
      q-btn.gdoc-tile-btn( flat round type='a' v-on:click='FireDeleteEvent' icon='delete' color='grey-6')
        q-tooltip Delete this document
        
</template>

<script lang="ts">
import Vue from "vue";

import { EventBus } from "./event-bus";

export default Vue.extend({
  name: "GoogleDocSection",
  props: ["id", "canDelete", "sectionNumber", "title", "content", "response"],
  data() {
    return {
      editTitle : this.title,
      editContent : this.content,
      editResponse : this.response
    }
  },
  methods: {
    fireChangeDataEvent() {
      EventBus.$emit("gdoc-section-dataChanged", {
        "id":this.id, 
        "title" : this.editTitle,
        "content" : this.editContent,
        "response" :this.editResponse
        });
    },
    FireDeleteEvent() {
      EventBus.$emit("delete-gdoc-section", this.id);
    }
  }
});
</script>

<style scoped>


</style>